Loading...
Searching...
No Matches
pyregfi.DATA_TYPES Class Reference

An enumeration of registry Value data types. More...

Inheritance diagram for pyregfi.DATA_TYPES:
[legend]

## Static Public Attributes

int | NONE = 0
| None / Unknown.
int | SZ = 1
| String.
int | EXPAND_SZ = 2
| String with %...% expansions.
int | BINARY = 3
| Binary buffer.
int | DWORD = 4
| 32 bit integer (little endian)
int | DWORD_LE = 4
| 32 bit integer (little endian)
int | DWORD_BE = 5
| 32 bit integer (big endian)
int | LINK = 6
| Symbolic link.
int | MULTI_SZ = 7
| List of strings.
int | RESOURCE_LIST = 8
| Unknown structure.
int | FULL_RESOURCE_DESCRIPTOR = 9
| Unknown structure.
int | RESOURCE_REQUIREMENTS_LIST = 10
| Unknown structure.
int | QWORD = 11
| 64 bit integer

## Detailed Description

An enumeration of registry Value data types.

Note
  This is a static class, there is no need to instantiate it. Just access its attributes directly as DATA_TYPES.SZ, etc

The documentation for this class was generated from the following file:

- __init__.py